Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkPolyDataSourceWidget Class Reference

`#include <vtkPolyDataSourceWidget.h>`

Inheritance diagram for vtkPolyDataSourceWidget:

[legend]
Collaboration diagram for vtkPolyDataSourceWidget:

[legend]
List of all members.

## Detailed Description

abstract PolyDataSource-based 3D widget

Date:
  2002/08/08 13:29:04

Revision:
  1.4

This abstract class serves as parent to 3D widgets that have simple vtkPolyDataSource instances defining their geometry.

In addition to what is offered by the vtk3DWidget parent, this class makes it possible to manipulate the underlying polydatasource and to PlaceWidget() according to that, instead of having to make use of SetInput() or SetProp3D().

Implementors of child classes HAVE to implement their PlaceWidget(bounds) to check for the existence of Input and Prop3D FIRST. If these don't exist, place according to the underlying PolyDataSource. Child classes also have to imprement UpdatePlacement(), which updates the widget according to the geometry of the underlying PolyDataSource.

See also:
  vtk3DWidget vtkLineWidget vtkPlaneWidget vtkSphereWidget

Created by:
  - cpbotha

CVS contributions (if > 5%):
  - cpbotha (86%)
  - Cedilnik, Andy (13%)

CVS logs (CVSweb):
  - .`cxx` (`/Hybrid/vtkPolyDataSourceWidget.cxx)`
  - .`h` (`/Hybrid/vtkPolyDataSourceWidget.h)`

Definition at line 58 of file vtkPolyDataSourceWidget.h.

## Public Types
typedef vtk3DWidget | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | PlaceWidget ()
virtual void | PlaceWidget (float bounds[6])=0
virtual vtkPolyDataSource * | GetPolyDataSource ()=0
virtual void | UpdatePlacement ()=0
void | PlaceWidget (float xmin, float xmax, float ymin, float ymax, float zmin, float zmax)
## Static Public Methods
int | IsTypeOf (const char *type)
vtkPolyDataSourceWidget * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkPolyDataSourceWidget ()

## Member Typedef Documentation

typedef vtk3DWidget vtkPolyDataSourceWidget::Superclass

| Reimplemented from vtk3DWidget. Reimplemented in vtkImagePlaneWidget, vtkImplicitPlaneWidget, and vtkPlaneWidget. Definition at line 61 of file vtkPolyDataSourceWidget.h.

## Constructor & Destructor Documentation

vtkPolyDataSourceWidget::vtkPolyDataSourceWidget | ( |  | ) | `[protected]`

| Empty constructor that calls the parent constructor. Child classes should call this constructor as part of their initialisation.

## Member Function Documentation

virtual const char* vtkPolyDataSourceWidget::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtk3DWidget. Reimplemented in vtkImagePlaneWidget, vtkImplicitPlaneWidget, and vtkPlaneWidget.

int vtkPolyDataSourceWidget::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtk3DWidget. Reimplemented in vtkImagePlaneWidget, vtkImplicitPlaneWidget, and vtkPlaneWidget.

virtual int vtkPolyDataSourceWidget::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtk3DWidget. Reimplemented in vtkImagePlaneWidget, vtkImplicitPlaneWidget, and vtkPlaneWidget.

vtkPolyDataSourceWidget* vtkPolyDataSourceWidget::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtk3DWidget. Reimplemented in vtkImagePlaneWidget, vtkImplicitPlaneWidget, and vtkPlaneWidget.

void vtkPolyDataSourceWidget::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtk3DWidget. Reimplemented in vtkImagePlaneWidget, vtkImplicitPlaneWidget, and vtkPlaneWidget.

virtual void vtkPolyDataSourceWidget::PlaceWidget | ( |  | ) | `[virtual]`

| Overrides vtk3DWidget PlaceWidget() so that it doesn't complain if there's no Input and no Prop3D. Reimplemented from vtk3DWidget. Reimplemented in vtkImagePlaneWidget, vtkImplicitPlaneWidget, and vtkPlaneWidget.

virtual void vtkPolyDataSourceWidget::PlaceWidget | ( | float | bounds[6] | ) | `[pure virtual]`

| We have to redeclare this abstract, PlaceWidget() requires it. You HAVE to override this in your concrete child classes. If there's no Prop3D and no Input, your PlaceWidget must make use of the underlying PolyDataSource to do its work. Implements vtk3DWidget. Implemented in vtkImagePlaneWidget, vtkImplicitPlaneWidget, and vtkPlaneWidget.

void vtkPolyDataSourceWidget::PlaceWidget | ( | float | xmin,
|  | float | xmax,
|  | float | ymin,
|  | float | ymax,
|  | float | zmin,
|  | float | zmax
| ) | `[inline]`

| Convenience method brought over from vtkPlaneWidget. Reimplemented from vtk3DWidget. Reimplemented in vtkImagePlaneWidget. Definition at line 76 of file vtkPolyDataSourceWidget.h.

virtual vtkPolyDataSource* vtkPolyDataSourceWidget::GetPolyDataSource | ( |  | ) | `[pure virtual]`

| Returns underlying vtkPolyDataSource that determines geometry. This can be modified after which PlaceWidget() or UpdatePlacement() can be called. UpdatePlacement() will always update the planewidget according to the geometry of the underlying PolyDataSource. PlaceWidget() will only make use of this geometry if there is no Input and no Prop3D set. Implemented in vtkImagePlaneWidget, vtkImplicitPlaneWidget, and vtkPlaneWidget.

virtual void vtkPolyDataSourceWidget::UpdatePlacement | ( |  | ) | `[pure virtual]`

| If you've made changes to the underlying vtkPolyDataSource AFTER your initial call to PlaceWidget(), use this method to realise the changes in the widget. Implemented in vtkImagePlaneWidget, vtkImplicitPlaneWidget, and vtkPlaneWidget.

The documentation for this class was generated from the following file:

- Hybrid/vtkPolyDataSourceWidget.h